> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Solve LinkedIn Checkpoint



## OpenAPI

````yaml post /v3/accounts/{account_uid}/checkpoint
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/accounts/{account_uid}/checkpoint:
    post:
      tags:
        - LinkedIn
      summary: Solve LinkedIn Checkpoint
      operationId: v3_solve_linkedin_checkpoint
      parameters:
        - required: true
          schema:
            title: Account UID
            type: string
          name: account_uid
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SolveCheckpointBody'
        required: true
      responses:
        '200':
          description: Checkpoint Solved
          content:
            application/json:
              schema: {}
              example:
                setup_at: '2025-03-06T11:13:15.568488'
                name: Guillaume Odier
                cookies:
                  li_at: '********-....'
                  li_rm: '********-....'
                  JSESSIONID: '"ajax:...."'
                via_extension: true
                is_shared: false
                level: Sales Navigator
                is_valid: true
                meta:
                  name: Guillaume Odier
                  id: 269760086
                  url: https://www.linkedin.com/in/guillaumeodier
                  type: SALES_NAV
                uid: xxxxxx-xxxx-4692-9d6d-e97ac1544308
                application_permalink: linkedin
                application_name: LinkedIn
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    SolveCheckpointBody:
      title: SolveCheckpointBody
      type: object
      properties:
        code:
          title: Chekpoint Code
          description: The code to provide to solve the checkpoint.
          type: string
          example: '123456'
          default: null
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````